Bug 155741 - Kernel panic - not syncing, during shutdown, after using usb memory stick or usb hard drive
Kernel panic - not syncing, during shutdown, after using usb memory stick or ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-22 13:43 EDT by Wolfgang Korsch
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:32:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Korsch 2005-04-22 13:43:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Whenever I use an USB memory stick or an USB hard drive and try to shut down 
my laptop, after unmounting (and unplugging) the USB devices, the shut down process stops with a kernel panic error:

Kernel panic - not syncing: drivers/block/cfg-iosched.c:1065: spin_is_locked on uninitialized spinlock f5971c1c. (Not tainted)

Only "power off" helps.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1.plug in usb device (mem. stick or hard drive)
2.mount usb device
3.use usb device (cp/mv to/from usb device)
4.unmount usb device
5.unplug usb device
6. shut down computer  

Actual Results:  computer freezes

Expected Results:  clean shutdown

Additional info:
Comment 1 Dave Jones 2005-04-24 20:42:15 EDT
please try the kernel at http://people.redhat.com/davej/kernels/Fedora/FC3/

that has a patch that should fix this.
Comment 2 David Harmanec 2005-05-09 16:46:59 EDT
I was having exactly the same problem on my Athlon based desktop PC and the
above kernel version (2.6.11-1.21_FC3) appears to fix the problem.
Comment 3 Dave Jones 2005-07-15 15:50:14 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:32:14 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.